with import <nixpkgs> {};

stdenv.mkDerivation {
  name = "skaffold";
  version = "1.17.0";
  src = fetchurl {
    url = "https://github.com/GoogleContainerTools/skaffold/releases/download/v1.17.0/skaffold-linux-amd64";
    sha256 = "734a23dfe90b01feb927c44168c93b72afd05d8b978319b4670dc7e6a5e887fe";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    cp $src skaffold
  '';

  installPhase = ''
    install -m 755 -D skaffold $out/bin/skaffold
  '';

  meta = with stdenv.lib; {
    homepage = "https://skaffold.dev";
    description = "skaffold";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
